const wrapThrowsAsync = (fn) => async (...args) => {
  try {
    return {
      ok: true,
      data: await fn(...args)
    };
  } catch (error) {
    return {
      ok: false,
      error
    };
  }
};
export {
  wrapThrowsAsync as w
};
//# sourceMappingURL=errorHandlers-N7AebTum.js.map
